Bug 1395684 - GUI: No error dialogue when you try to register via auth proxy without selecting "Use Authentication with http proxy" option
Summary: GUI: No error dialogue when you try to register via auth proxy without select...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
urgent
low
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 12:44 UTC by Shwetha Kallesh
Modified: 2017-03-21 10:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:57:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
Error message (235.90 KB, image/png)
2016-11-28 07:50 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Github RedHatQE rhsm-qe pull 639 None None None 2016-11-29 18:58:17 UTC
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Description Shwetha Kallesh 2016-11-16 12:44:00 UTC
Description of problem:
No error dialogue when you try to register via auth proxy without selecting "Use Authentication with http proxy" option ,its just one of those cases where user by mistake unchecks the "Use Authentication with http proxy" option after successfully tests connection and closes the proxy configuration dialog 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Launch GUI
2. Click on register button , Click on configure proxy button
3. Select "I would like to use http proxy" , Enter the valid authorized proxy server details
4. But do not select "Use Authentication with http proxy" option and close the window
5. Now click on next button

Actual results:
No error dialog but traceback on the terminal

Expected results:
Error dilog saying "Server is not reachable at <server datials>" and no trace back on terminal

Additional info:

traceback on terminal:

rhsm.connection.ProxyException: Proxy connection failed: 407
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/subscription_manager/gui/registergui.py", line 542, in _on_proceed
    self.apply_current_screen()
  File "/usr/lib/python2.6/site-packages/subscription_manager/gui/registergui.py", line 536, in apply_current_screen
    self.current_screen.apply()
  File "/usr/lib/python2.6/site-packages/subscription_manager/gui/registergui.py", line 1867, in apply
    if not is_valid_server_info(conn):
  File "/usr/lib/python2.6/site-packages/subscription_manager/utils.py", line 142, in is_valid_server_info
    conn.ping()
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 904, in ping
    return self.conn.request_get("/status/")
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 708, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 597, in _request
    raise ProxyException(e)
rhsm.connection.ProxyException: Proxy connection failed: 407
/usr/sbin/subscription-manager-gui:212: GtkWarning: Attempting to store changes into `/root/.local/share/recently-used.xbel', but failed: Failed to create file '/root/.local/share/recently-used.xbel.OWQQQY': No such file or directory
  sys.exit(ga_Gtk.main() or 0)
/usr/sbin/subscription-manager-gui:212: GtkWarning: Attempting to set the permissions of `/root/.local/share/recently-used.xbel', but failed: No such file or directory
  sys.exit(ga_Gtk.main() or 0)

Comment 6 Shwetha Kallesh 2016-11-28 07:50:44 UTC
Created attachment 1225163 [details]
Error message

See the error dialogue when user fails to select use authentication option for a valid auth proxy

subscription-manager: 1.18.5-1.el6
python-rhsm: 1.18.5-1.el6

Comment 8 errata-xmlrpc 2017-03-21 10:57:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.